import React, { useState, useRef, useEffect, useMemo } from "react";
import {
    useTranslate,
} from 'react-admin';
import {
    Box,
    Button,
    Card,
    CardContent,
    Stack,
    Typography,
} from '@mui/material';

const ListEmptyTip = (props) => {
    const { tip, ...rest } = props;
    const translate = useTranslate();

    return (
        <>
            <Box mt={3} ml={2}>
                <Typography
                    variant="subtitle1"
                    color="textPrimary"
                >
                    {tip || translate('common.list.empty.tip')}
                </Typography>
            </Box>
        </>
    )
}

export default ListEmptyTip;